### Name: rp.do
### Title: Runs a user written callback function
### Aliases: rp.do
### Keywords: iplot dynamic

### ** Examples

if (interactive()) {
   data.plotfn <- function(panel) {
     if (panel$plot.type == "histogram") 
       hist(panel$x)
     else 
       if (panel$plot.type == "boxplot")
         boxplot(panel$x)
       else 
         plot(density(panel$x))
     panel
   }
   panel <- rp.control(x = rnorm(50))
   rp.radiogroup(panel, plot.type, 
          c("histogram", "boxplot", "density estimate"), 
          action = data.plotfn, title = "Plot type")     
   rp.do(panel, data.plotfn)
   }


